
export interface INewsItem {
    id: string,
    link: string | "",
    title: string | "",
    author: string,
    contents: string,
    embedColor: number | 0xffffff
}

export interface INewsPostData {
    hash?: string,
    cacheMessageId?: string,
    postedMessageId?: string,
}

export type NewsPostItem = INewsItem & INewsPostData;

export interface IAggregator {
    aggregate() : Promise<INewsItem[]>;
    init?(): void;
}