import { ICommand } from "./command";
import { getRepository } from "typeorm";
import { DeadChatReply } from "../entity/DeadChatReply";

const triggers = [
    "dead server",
    "dead chat",
    "ded chat",
    "ded server"
];

export default {
    onMessage: async (actionsDone, msg, content) => {
        if (actionsDone)
            return false;
    
        let lowerContent = content.toLowerCase();
        
        if(!triggers.some(s => lowerContent.includes(s)))
            return false;
        
        let repo = getRepository(DeadChatReply);

        let reply = await repo.query(`  select message
                                        from dead_chat_reply
                                        order by random()
                                        limit 1`) as DeadChatReply[];
        
        if(reply.length == 0)
            return false;

        msg.channel.send(reply[0]);
        return true;
    }
} as ICommand;