import { isAuthorisedAsync, documentation } from "../util";
import { ICommand } from "./command";

export default {
    commands: [{
        pattern: "help",
        action: async msg => {
            let isAuthed = await isAuthorisedAsync(msg.member);

            let baseCommands = "\n";
            let modCommands = "\n";

            for (let command in documentation) {
                if (!documentation.hasOwnProperty(command))
                    continue;

                let doc = documentation[command];
                if (isAuthed && doc.auth)
                    modCommands = `${modCommands}${command}  -  ${doc.description}\n`;
                else if (!doc.auth)
                    baseCommands = `${baseCommands}${command} - ${doc.description}\n`;
            }

            let message = `Hello! I am NoctBot! My job is to help with C(O)M-related problems!\nPing me with one of the following commands:\n\`\`\`${baseCommands}\`\`\``;

            if (isAuthed)
                message = `${msg.author.toString()} ${message}\n👑**Moderator commands**👑\n\`\`\`${modCommands}\`\`\``;

            msg.channel.send(message);
        }
    }]
} as ICommand;