import request from "request-promise-native";
import { ICommand } from "./command";
import { Message } from "discord.js";

const rcgRe = /<input id="rcg_image".+value="([^"]+)".*\/>/i;

async function randomComic(msg: Message) {
    let result = await request("http://explosm.net/rcg/view/");
    
    let regexResult = rcgRe.exec(result);

    msg.channel.send(`${msg.author.toString()} I find this very funny:`, {
        files: [ regexResult[1].trim() ]
    });
}

export default {
    commands: [{
        pattern: "random comic",
        action: msg => {
            randomComic(msg);
        }
    }],
    documentation: {
        "random comic": {
            auth: false,
            description: "Generates a comic just for you!"
        }
    }
} as ICommand;