import lowdb from "lowdb";
import FileSync from "lowdb/adapters/FileSync";
import { CollectionChain } from "lodash";

const adapter = new FileSync(__dirname + "/db.json");
export const db = lowdb(adapter);

export interface IRandomElementMixin extends CollectionChain<any> {
    randomElement() : any;
}

db._.mixin({
    randomElement: (array : any[]) => array[Math.floor(Math.random() * array.length)]
});

db.defaults({
    devServers: [
        "429295461099110400"
    ],
    deadChatReplies: [
        "*no u*"
    ],
    emotes: {
        angery: [
            "488797492352385034",
            "488797455899688971",
            "488796668750200842",
            "488796396175097876",
            "488793566982963231",
            "488793511181811749",
            "488791172085448718",
            "489091926474096651"
        ],
        hug: [
            "489094486132260864",
            "489094428410249218",
            "489094553148850176",
            "489094604935790622",
            "488016420077043722",
            "490234326210969624",
            "490234276676239370",
            "490234106370588681",
            "490234821696815125"
        ],
        big: [
            "489773326386855937",
            "489771762351996928",
            "489771390279483394",
            "489773282036547599"
        ],
        ded: ["505677683544293377", "505677683384909824"]
    },
    specialUsers: [
        "141880968800763905",
        "307897683849510912",
        "335898304472678402"
    ],
    reactableMentionedUsers: ["307897683849510912"],
    bigUsers: ["432821242366656512"],
    dedUsers: ["326520875027267584"],
    guides: [],
    memes: [],
    miscs: [],
    editors: {
        roles: ["484046157971193866", "305844721622712322"],
        users: [
            "307897683849510912",
            "170116346095468545",
            "335898304472678402"
        ]
    },
    rssFeeds: [
        {
            url: "http://custommaid3d2.com/index.php?forums/news.49/index.rss",
            lastUpdate: "",
            contentElement: "content:encoded"
        }
    ],
    newsCache: {},
    postedNewsGuids: {},
    newsPostVerifyChannel: "",
    feedOutputChannel: "493337841724555276",
    aggregateChannel: "596752269861584898",
    messageReactions: {},
    faceEditChannels: {
        "459622760839118848": 1.0,
        "297109482905796608": 0.25,
        "297117726546198528": 0.1,
        "401837400109875216": 0.1
    },
    faceEditConfig: {
        captionProbability: 0.33,
        captionedImageSize: 300
    },
    faceCaptions: {
        pre: [
            "Me when",
            "I think",
            "That face when",
            "That look when",
            "She:",
            "He:",
            "KISS when",
            "Everyone thinks",
            "Today",
            "They look like"
        ],
        post: [
            "my kokoro goes fuwafuwa",
            "Horse Muku is real",
            "he THICC",
            "she THICC",
            "OwO",
            "fuzzy pickles",
            "baka",
            "too many carrots",
            "Elon Musk-chan builds a mecha",
            "gushing granny",
            "too much coke",
            "not baka",
            "want the D",
            "cringe",
            "Harambe",
            "fire",
            "see lewd",
            "drink coffee",
            "horse",
            "run out of RAM",
            "passworded mods",
            "I get pinged",
            "I sleep",
            "he attacc",
            "she protecc",
            "dead inside",
            "why?",
            "what?",
            "how?",
            "my waifu leaves me",
            "I nut"
        ]
    },
    quotes: [],
    latestKissDiaryEntry: 1229,
    latestCom3D2WorldDiaryEntry: 11,
    lastCOMJPVersion: 1320
}).write();
